{
    "$graph": [
        {
            "label": "bact_filter_preserved",
            "class": "CommandLineTool",
            "baseCommand": "bact_filter_preserved",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#bact_filter_preserved.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#bact_filter_preserved.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bact_filter_preserved.cwl/nogenbank"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-only-those-ids"
                    },
                    "id": "#bact_filter_preserved.cwl/only_those_ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annotation.ent",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_filter_preserved.cwl/output_annotation_name"
                }
            ],
            "id": "#bact_filter_preserved.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_annotation_name)"
                    },
                    "id": "#bact_filter_preserved.cwl/out_annotation"
                }
            ]
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "hmmsearch_create_jobs",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_create_jobs",
            "arguments": [
                "-no-merge-hmms"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-hmm-path"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seqids"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/seqids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "workpath",
                    "inputBinding": {
                        "prefix": "-workpath"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workpath"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.workpath)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workdir"
                }
            ],
            "id": "#hmmsearch_create_jobs.cwl"
        },
        {
            "label": "hmmsearch_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.workdir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entryname": "fam.mft",
                            "entry": "${ var blob = '# fam.mft created for hmmsearch_wnode from input hmms_tab File\\n'; if ( inputs.hmms_tab == null ) { return blob; }  else { return blob + inputs.hmms_tab.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-cut_ga",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fam.mft",
                    "inputBinding": {
                        "prefix": "-fam"
                    },
                    "id": "#hmmsearch_wnode.cwl/fam"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/bin",
                    "inputBinding": {
                        "prefix": "-hmmsearch-path"
                    },
                    "id": "#hmmsearch_wnode.cwl/hmmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#hmmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#hmmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "id": "#hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#hmmsearch_wnode.cwl/output"
                }
            ],
            "id": "#hmmsearch_wnode.cwl"
        },
        {
            "label": "reduce",
            "class": "CommandLineTool",
            "baseCommand": "reduce",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-aligns"
                    },
                    "id": "#reduce.cwl/aligns"
                },
                {
                    "type": "string",
                    "default": "protein.seqids",
                    "inputBinding": {
                        "prefix": "-oseqids"
                    },
                    "id": "#reduce.cwl/oseqids_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oseqids_name)"
                    },
                    "id": "#reduce.cwl/oseqids"
                }
            ],
            "id": "#reduce.cwl"
        },
        {
            "label": "set_operation",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "A.mft",
                            "entry": "${var blob = '# A.mft created for set_operation from input A Array of Files\\n'; for (var i = 0; i < inputs.A.length; i++) { blob += inputs.A[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "B.mft",
                            "entry": "${var blob = '# B.mft created for set_operation from input B Array of Files\\n'; for (var i = 0; i < inputs.B.length; i++) { blob += inputs.B[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "set_operation",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#set_operation.cwl/A"
                },
                {
                    "type": "string",
                    "default": "A.mft",
                    "inputBinding": {
                        "prefix": "-A-manifest"
                    },
                    "id": "#set_operation.cwl/A_impl"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#set_operation.cwl/B"
                },
                {
                    "type": "string",
                    "default": "B.mft",
                    "inputBinding": {
                        "prefix": "-B-manifest"
                    },
                    "id": "#set_operation.cwl/B_impl"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-operation"
                    },
                    "id": "#set_operation.cwl/operation"
                },
                {
                    "type": "string",
                    "default": "result.lst",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#set_operation.cwl/output_impl"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#set_operation.cwl/output"
                }
            ],
            "id": "#set_operation.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "stdout": "cat.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_array_of_files.cwl/files_in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_array_of_files.cwl/file_out",
                    "outputBinding": {
                        "glob": "cat.out"
                    }
                }
            ],
            "id": "#cat_array_of_files.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "cwl split wrapper",
            "baseCommand": "split",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-l"
                    },
                    "id": "#split.cwl/chunk_size"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#split.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs",
                    "inputBinding": {
                        "position": 5,
                        "valueFrom": "$(inputs.mask)"
                    },
                    "id": "#split.cwl/mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-n l//",
                        "separate": false
                    },
                    "id": "#split.cwl/nchunks"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": ".xml",
                    "inputBinding": {
                        "position": 3,
                        "separate": false,
                        "prefix": "--additional-suffix="
                    },
                    "id": "#split.cwl/suffix"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.mask)?*$(inputs.suffix)"
                    },
                    "id": "#split.cwl/jobs"
                }
            ],
            "id": "#split.cwl"
        },
        {
            "label": "spurious_annot pass2",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/AntiFamLib"
                },
                {
                    "type": "File",
                    "id": "#main/Extract_Model_Proteins_lds2"
                },
                {
                    "type": "File",
                    "id": "#main/Extract_Model_Proteins_proteins"
                },
                {
                    "type": "File",
                    "id": "#main/Extract_Model_Proteins_seqids"
                },
                {
                    "type": "File",
                    "id": "#main/Run_GeneMark_models"
                },
                {
                    "type": "string",
                    "id": "#main/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#main/sequence_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/AntiFam_tainted_proteins/oseqids",
                    "id": "#main/AntiFam_tainted_proteins___oseqids"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Good_AntiFam_filtered_annotations/out_annotation",
                    "id": "#main/Good_AntiFam_filtered_annotations_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Good_AntiFam_filtered_proteins/output",
                    "id": "#main/Good_AntiFam_filtered_proteins_output"
                }
            ],
            "steps": [
                {
                    "label": "AntiFam tainted proteins",
                    "run": "#reduce.cwl",
                    "in": [
                        {
                            "source": "#main/Search_AntiFam/hmm_hits",
                            "id": "#main/AntiFam_tainted_proteins/aligns"
                        }
                    ],
                    "out": [
                        "#main/AntiFam_tainted_proteins/oseqids"
                    ],
                    "id": "#main/AntiFam_tainted_proteins"
                },
                {
                    "label": "Good, AntiFam filtered annotations",
                    "run": "#bact_filter_preserved.cwl",
                    "in": [
                        {
                            "source": "#main/Run_GeneMark_models",
                            "id": "#main/Good_AntiFam_filtered_annotations/annotation"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#main/Good_AntiFam_filtered_annotations/ifmt"
                        },
                        {
                            "default": true,
                            "id": "#main/Good_AntiFam_filtered_annotations/nogenbank"
                        },
                        {
                            "source": "#main/Good_AntiFam_filtered_proteins/output",
                            "id": "#main/Good_AntiFam_filtered_annotations/only_those_ids"
                        }
                    ],
                    "out": [
                        "#main/Good_AntiFam_filtered_annotations/out_annotation"
                    ],
                    "id": "#main/Good_AntiFam_filtered_annotations"
                },
                {
                    "label": "Good, AntiFam filtered proteins",
                    "run": "#set_operation.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/Extract_Model_Proteins_seqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Good_AntiFam_filtered_proteins/A"
                        },
                        {
                            "source": [
                                "#main/AntiFam_tainted_proteins/oseqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Good_AntiFam_filtered_proteins/B"
                        },
                        {
                            "default": "-",
                            "id": "#main/Good_AntiFam_filtered_proteins/operation"
                        }
                    ],
                    "out": [
                        "#main/Good_AntiFam_filtered_proteins/output"
                    ],
                    "id": "#main/Good_AntiFam_filtered_proteins"
                },
                {
                    "label": "Search AntiFam",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/sequence_cache",
                            "id": "#main/Search_AntiFam/asn_cache"
                        },
                        {
                            "source": "#main/AntiFamLib",
                            "id": "#main/Search_AntiFam/hmm_path"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins_lds2",
                            "id": "#main/Search_AntiFam/lds2"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins_proteins",
                            "id": "#main/Search_AntiFam/proteins"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/Search_AntiFam/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/Extract_Model_Proteins_seqids",
                            "id": "#main/Search_AntiFam/seqids"
                        }
                    ],
                    "out": [
                        "#main/Search_AntiFam/hmm_hits"
                    ],
                    "id": "#main/Search_AntiFam"
                }
            ],
            "id": "#main"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                    "id": "#tt_hmmsearch_wnode.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                    "id": "#tt_hmmsearch_wnode.cwl/workdir"
                }
            ],
            "steps": [
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output",
                            "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/files_in"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results"
                },
                {
                    "run": "#hmmsearch_create_jobs.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/seqids",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/seqids"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs"
                },
                {
                    "run": "#tt_hmmsearch_wnode_plus_qdump.cwl",
                    "scatter": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/split_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/split_jobs"
                }
            ],
            "id": "#tt_hmmsearch_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "hmmsearch_wnode and gpx_qdump combined workflow to apply scatter/gather",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/output"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "hmm_hits.asn",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output_name"
                        },
                        {
                            "default": "*",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump"
                },
                {
                    "run": "#hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode"
                }
            ],
            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
